PROJECT=hello.joris.84
SOURCES=$(PROJECT).c
MMCU=attiny84
F_CPU = 8000000

# List any extra directories to look for include files here.
#     Each directory must be seperated by a space.
EXTRAINCDIRS = "-I./Adafruit_NeoPixel" "-ID:\Program Files (x86)\Arduino\libraries" "-ID:\Program Files (x86)\Arduino\hardware\arduino\avr\cores\arduino" "-IC:\Users\Joris\AppData\Local\Arduino15\packages\attiny\hardware\avr\1.0.2\variants\tiny14" 

#"-IC:\Users\Joris\AppData\Local\Arduino15\packages\arduino\hardware\avr\1.6.21\libraries\SoftwareSerial\src" 

#CFLAGS=-mmcu=$(MMCU) -Wall -Os -DF_CPU=$(F_CPU)
CFLAGS=-c -g -Os -w -std=gnu++11 -fpermissive -fno-exceptions -ffunction-sections -fdata-sections -fno-threadsafe-statics  -flto -w -x c++ -E -CC -mmcu=$(MMCU) -DF_CPU=-DF_CPU=$(F_CPU)L -DARDUINO=10805 -DARDUINO_attiny -DARDUINO_ARCH_AVR  

LINKFLAGS=-O ihex -j .eeprom --set-section-flags=.eeprom=alloc,load --no-change-warnings --change-section-lma .eeprom=0 "$(SOURCES).elf" "$(SOURCES).eep"

$(PROJECT).hex: $(PROJECT).out
	avr-objcopy -O ihex $(PROJECT).out $(PROJECT).c.hex; avr-size --mcu=$(MMCU) --format=avr $(PROJECT).out
 
$(PROJECT).out: $(SOURCES)
	avr-gcc $(CFLAGS) -I.\ $(EXTRAINCDIRS) -o $(PROJECT).out $(SOURCES)
 
#program-bsd: $(PROJECT).hex
#	avrdude -p t84 -c bsd -U flash:w:$(PROJECT).c.hex

#program-dasa: $(PROJECT).hex
#	avrdude -p t84 -P /dev/ttyUSB0 -c dasa -U flash:w:$(PROJECT).c.hex

#program-avrisp2: $(PROJECT).hex
#	avrdude -p t84 -P usb -c avrisp2 -U flash:w:$(PROJECT).c.hex

program-usbtiny: $(PROJECT).hex
	avrdude -p t84 -Cavrdude.conf -P usb -c usbtiny -U flash:w:$(PROJECT).c.hex

#program-dragon: $(PROJECT).hex
	avrdude -p t84 -P usb -c dragon_isp -U flash:w:$(PROJECT).c.hex

#program-ice: $(PROJECT).hex
	avrdude -p t84 -P usb -c atmelice_isp -U flash:w:$(PROJECT).c.hex
